#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - pcmcia installation
#
# Creation   :  2016-11-22 holbru
# Last update:  $Id: install.sh 55622 2018-06-03 08:50:00Z hbfl $
#
# Copyright (c) 2016-2018 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=pcmcia

# ---------------------------------------------------------------------------
# add menu
# ---------------------------------------------------------------------------
/var/install/bin/add-menu                               \
            setup.system.hardware.menu                  \
            setup.system.hardware.${package_name}.menu  \
            "PCMCIA administration"

# ---------------------------------------------------------------------------
# create group if missing
# ---------------------------------------------------------------------------
run_user='trusted'

if ! getent group ${run_user} >/dev/null 2>&1
then
    # group_id is set by the system
    /var/install/bin/add-group "${run_user}"
fi

chmod 4750 /usr/sbin/pccardctl 
chgrp "${run_user}" /usr/sbin/pccardctl


# remove old menu entry
/var/install/bin/del-menu                               \
            setup.system.drivers.menu                   \
            setup.system.drivers.${package_name}.menu

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
